net.corda.core.crypto

## Class CertificateStream

- net.corda.core.crypto.CertificateStream

-     public class CertificateStream

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CertificateStream(java.io.InputStream input)`

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.io.InputStream` | `getInput()`
    `java.security.cert.X509Certificate` | `nextCertificate()`

- - ### Constructor Detail

    - #### CertificateStream

          public CertificateStream(java.io.InputStream input)

  - ### Method Detail

    - #### nextCertificate

          public java.security.cert.X509Certificate nextCertificate()

    - #### getInput

          public java.io.InputStream getInput()